%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           fltk
Version:        1.3.8
Release:        %mkrel 1
Summary:        Fast Light Toolkit (FLTK)
Group:          System/Libraries
License:        LGPLv2+
URL:            https://www.fltk.org
Source0:        https://www.fltk.org/pub/fltk/%{version}/%{name}-%{version}-source.tar.xz
Patch0:         fltk-1.3.6-libdir-prefix.patch
Patch1:         fltk-1.3.6-remove-shared-in-libnames.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  xprop

%description
The Fast Light Toolkit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

#---------------------------------------------------------------------------

%package -n %{libname}
Summary:        Fast Light Toolkit (FLTK) - main library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
The Fast Light Toolkit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

%files -n %{libname}
%{_libdir}/lib%{name}.so.*
%{_libdir}/lib%{name}_forms.so.*
%{_libdir}/lib%{name}_gl.so.*
%{_libdir}/lib%{name}_images.so.*

#---------------------------------------------------------------------------

%package -n %{devname}
Summary:        Fast Light Toolkit (FLTK) - development environment
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development headers and libraries for FLTK.

%files -n %{devname}
%{_bindir}/%{name}-config
%{multiarch_bindir}/%{name}-config
%{_datadir}/%{name}/
%{_includedir}/FL/
%{_libdir}/lib%{name}*.so
%{_mandir}/man1/%{name}-config.1*
%{_mandir}/man3/%{name}.3*

#---------------------------------------------------------------------------

%package fluid
Summary:        Fast Light User Interface Designer: GUI builder for FLTK
Group:          Development/Tools

%description fluid
FLUID (Fast Light User Interface Designer) is a graphical editor and GUI
builder that is used to produce FLTK source code. FLUID edits and saves its
state in text .fl files, which can be edited in a text editor for finer
control over display and behavior.

%files fluid
%{_bindir}/fluid
%{_datadir}/mime/packages/fluid.xml
%{_datadir}/applications/fluid.desktop
%{_iconsdir}/hicolor/*/apps/fluid.png
%{_mandir}/man1/fluid.1*

#---------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake \
    -DOPTION_BUILD_SHARED_LIBS=ON \
    -DFLTK_USE_SYSTEM_ZLIB=ON \
    -DFLTK_USE_SYSTEM_JPEG=ON \
    -DFLTK_USE_SYSTEM_PNG=ON \
    -DOPTION_BUILD_EXAMPLES=OFF
%make_build

%install
rm -rf %buildroot
%make_install -C build

# Demos man pages
rm -rf %{buildroot}%{_mandir}/man6

# We don't want static libraries
find %{buildroot} -name "*.a" -delete

%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config


%changelog
* Tue Mar 14 2023 tex - 1.3.8-1pclos2023
- new version

* Sat Nov 19 2022 tex - 1.3.6-1pclos2022
- new version

* Fri Apr 26 2019 tex - 1.3.5-1pclos2019
- Version 1.3.5

